Bug 1292063 - Fu-WARNING **: Failed to parse ROM from /sys/devices/pci0000:00/0000:00:1c.{1,4}/[…]
Fu-WARNING **: Failed to parse ROM from /sys/devices/pci0000:00/0000:00:1c.{1...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fwupd (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 06:30 EST by Christian Stadelmann
Modified: 2016-06-28 03:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-28 03:41:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-12-16 06:30:38 EST
Description of problem:
I found these lines in my syslog, they happened when gnome-software was running:

org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to parse ROM from /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/rom: Error reading from file: Input/output error
kernel: ahci 0000:03:00.0: Invalid ROM contents
kernel: r8169 0000:02:00.0: Invalid ROM contents
org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to parse ROM from /sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.0/rom: Error reading from file: Input/output error
org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to coldplug: UEFI firmware updating not supported

Version-Release number of selected component (if applicable):
fwupd-0.5.4-1.fc23.x86_64

How reproducible:
unknown

Additional info:
Hardware is a Intel H55 chipset plus these controllers, which both have problems:

$ lspci -vvv -s 02:00
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
	Subsystem: ASUSTeK Computer Inc. P8P67 and other motherboards
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 31
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at f6fff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at f6ff8000 (64-bit, prefetchable) [size=16K]
	Expansion ROM at f7ee0000 [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

This hardware has some issues recently, see https://bugzilla.redhat.com/show_bug.cgi?id=1282254#c2


$ lspci -vvv -s 03:00
03:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9123 PCIe SATA 6.0 Gb/s controller (rev 10) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device 8400
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 25
	Region 0: I/O ports at ec00 [size=8]
	Region 1: I/O ports at e880 [size=4]
	Region 2: I/O ports at e800 [size=8]
	Region 3: I/O ports at e480 [size=4]
	Region 4: I/O ports at e400 [size=16]
	Region 5: Memory at f7fff000 (32-bit, non-prefetchable) [size=2K]
	Expansion ROM at f7fe0000 [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

This hardware has some issues too, being completely broken for me. See
https://bugzilla.kernel.org/show_bug.cgi?id=43160
https://bugzilla.kernel.org/show_bug.cgi?id=42679
Comment 1 Richard Hughes 2015-12-18 12:46:40 EST
(In reply to Christian Stadelmann from comment #0)
> org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to parse
> ROM from /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/rom: Error
> reading from file: Input/output error

So some option rom is advertising the range is readable, and then fails when you actually try to read it.

> kernel: ahci 0000:03:00.0: Invalid ROM contents
> kernel: r8169 0000:02:00.0: Invalid ROM contents

Not sure I can do anything there.

> org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to parse
> ROM from /sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.0/rom: Error
> reading from file: Input/output error

Same thing there as the first problem.

> org.freedesktop.fwupd[903]: (fwupd:23885): Fu-WARNING **: Failed to
> coldplug: UEFI firmware updating not supported

Technically true, although I agree a big red warning is a bit harsh.
Comment 2 Richard Hughes 2016-06-28 03:41:55 EDT
I've make the ROM reading conditional on manually unlocking, so it shouldn't appear in the logs anymore unless you manually verify.

Note You need to log in before you can comment on or make changes to this bug.